
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Linux软连接和硬链接 / 憋错料</title>

    <meta name="description" content="Linux软连接和硬链接 http://www.cnblogs.com/itech/archive/2009/04/10/1433052.html 1.Linux链接概念Linux链接分两种,一种被称为硬链接(Hard Link),另一种被称为符号链接(Symbolic Link).默认情况下,ln命令产生硬链接. [硬连接]硬连接指通过索引节点来进行连接.在Linux的文件系统中,保存在磁盘分区中的文件不管是什么类型都给它分配一个编号,称为索引节点号(Inode Index).在Linux中,多个文件名指向同一索引节点">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Linux软连接和硬链接</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>http://www.cnblogs.com/itech/archive/2009/04/10/1433052.html</p>
<p>1.Linux链接概念<br />Linux链接分两种，一种被称为硬链接（Hard Link），另一种被称为符号链接（Symbolic Link）。默认情况下，ln命令产生硬链接。</p>
<p>【硬连接】<br />硬连接指通过索引节点来进行连接。在Linux的文件系统中，保存在磁盘分区中的文件不管是什么类型都给它分配一个编号，称为索引节点号(Inode Index)。在Linux中，多个文件名指向同一索引节点是存在的。一般这种连接就是硬连接。硬连接的作用是允许一个文件拥有多个有效路径名，这样用户就可以建立硬连接到重要文件，以防止&ldquo;误删&rdquo;的功能。其原因如上所述，因为对应该目录的索引节点有一个以上的连接。只删除一个连接并不影响索引节点本身和其它的连接，只有当最后一个连接被删除后，文件的数据块及目录的连接才会被释放。也就是说，文件真正删除的条件是与之相关的所有硬连接文件均被删除。</p>
<p>【软连接】<br />另外一种连接称之为符号连接（Symbolic Link），也叫软连接。软链接文件有类似于Windows的快捷方式。它实际上是一个特殊的文件。在符号连接中，文件实际上是一个文本文件，其中包含的有另一文件的位置信息。</p>
<p>2.通过实验加深理解<br />[[email&#160;protected]]$ touch f1&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; #创建一个测试文件f1<br />[[email&#160;protected]]$ ln f1 f2&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; #创建f1的一个硬连接文件f2<br />[[email&#160;protected]]$ ln -s f1 f3&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; #创建f1的一个符号连接文件f3<br />[[email&#160;protected]]$ ls -li&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; # -i参数显示文件的inode节点信息<br />total 0<br />9797648 -rw-r--r--&nbsp; 2 oracle oinstall 0 Apr 21 08:11 f1<br />9797648 -rw-r--r--&nbsp; 2 oracle oinstall 0 Apr 21 08:11 f2<br />9797649 lrwxrwxrwx&nbsp; 1 oracle oinstall 2 Apr 21 08:11 f3 -&gt; f1</p>
<p>从上面的结果中可以看出，硬连接文件f2与原文件f1的inode节点相同，均为9797648，然而符号连接文件的inode节点不同。</p>
<p>[[email&#160;protected]]$ echo "I am f1 file" &gt;&gt;f1<br />[[email&#160;protected]]$ cat f1<br />I am f1 file<br />[[email&#160;protected]]$ cat f2<br />I am f1 file<br />[[email&#160;protected]]$ cat f3<br />I am f1 file<br />[[email&#160;protected]]$ rm -f f1<br />[[email&#160;protected]]$ cat f2<br />I am f1 file<br />[[email&#160;protected]]$ cat f3<br />cat: f3: No such file or directory</p>
<p>通过上面的测试可以看出：当删除原始文件f1后，硬连接f2不受影响，但是符号连接f1文件无效</p>
<p>3.总结<br />依此您可以做一些相关的测试，可以得到以下全部结论：<br />1).删除符号连接f3,对f1,f2无影响；<br />2).删除硬连接f2，对f1,f3也无影响；<br />3).删除原文件f1，对硬连接f2没有影响，导致符号连接f3失效；<br />4).同时删除原文件f1,硬连接f2，整个文件会真正的被删除。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-01 15:32:15 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Linux软连接和硬链接的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mmjm1Q0.html" rel="bookmark">&lbrack;Linux&rsqb;   Linux软连接和硬链接</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转载自:http://www.cnblogs.com/itech/archive/2009/04/10/1433052.html 1.Linux链接概念Linux链接分两种,一种被称为硬链接(Hard Link),另一种被称为符号链接(Symbolic Link).默认情况下,ln命令产生硬链接. [硬连接]硬连接指通过索引节点来进行连接.在Linux的文件系统中,保存在磁盘分区中的文件不管是什么类型都给它分配一个编号,称为索 引节点号(Inode Index).在Linux中,多个文件名指向同			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MmKVjB3.html" rel="bookmark">linux 软连接和硬链接的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				linux 软连接和硬链接的区别 2011-06-27  zale的图...   阅 3345  转 23 转藏到我的图书馆 微信分享: 4点不同 : (1)软连接可以 跨文件系统 ,硬连接不可以 .实践的方法就是用共享文件把windows下的 aa.txt文本文档连接到linux下/root目录 下 bb,cc . ln -s aa.txt /root/bb 连接成功 .ln aa.txt /root/bb 失败 .(2)关于 I节点的问题 .硬连接不管有多少个,都指向的是同一个I节点,会把			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/XMmGJp3.html" rel="bookmark">【转】Linux软连接和硬链接</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				再次温习一下,操作的不多.虽然感觉都会!!!! 这次再次操作一遍!! 通过上面的测试发现,删除f1之后,软连接f3就无效了,硬链接f3则不受影响. ls -F可以看到文件的类型. ---------------------------------------------------------------------------------------------------------------- 1.Linux链接概念Linux链接分两种,一种被称为硬链接(Hard Link),另一种被称			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pQkgxM.html" rel="bookmark">Linux软连接和硬链接&lowbar;note</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				软链接的用途 (1) 软链接可以跨分区,也可以给目录创建软链接 (2) 当某个分区不够用时,则可以在该分区下创建一个软链接,链接到一个大的分区下,这样可 以避免磁盘写满 (3) 有时候某个文件被多次使用时,而且必须在多个目录下,我们就可以给该文件创建软链接 软连接相当于Windows下的快捷方式,有节省空间的作用,可以跨分区,文件.目录都可以做软连 ,做软连接时注意加绝对路径,否则易出错. du -sh fliename1 filename2 比较两文件大小 ln -s  做软连接 如:将/ro			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/022n8a0.html" rel="bookmark">&lbrack;转&rsqb;Linux软连接和硬链接</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.Linux链接概念 Linux链接分两种,一种被称为硬链接(Hard Link),另一种被称为符号链接(Symbolic Link).默认情况下,ln命令产生硬链接. [硬连接]硬连接指通过索引节点来进行连接.在Linux的文件系统中,保存在磁盘分区中的文件不管是什么类型都给它分配一个编号,称为索 引节点号(Inode Index).在Linux中,多个文件名指向同一索引节点是存在的.一般这种连接就是硬连接.硬连接的作用是允许一个文件拥有多个有效路径名,这样用户 就可以建立硬连接到重要文件,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3qGnJ7M.html" rel="bookmark">Linux软连接和硬链接区分简单一看就懂</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.Linux链接概念Linux链接分两种,一种被称为硬链接(Hard Link),另一种被称为符号链接(Symbolic Link).默认情况下,ln命令产生硬链接. [硬连接]硬连接指通过索引节点来进行连接.在Linux的文件系统中,保存在磁盘分区中的文件不管是什么类型都给它分配一个编号,称为索引节点号(Inode Index).在Linux中,多个文件名指向同一索引节点是存在的.一般这种连接就是硬连接.硬连接的作用是允许一个文件拥有多个有效路径名,这样用户就可以建立硬连接到重要文件,以防止			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4plVY84.html" rel="bookmark">Linux软连接与硬链接</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				软链接 Linux中软链接就像是windows系统中的快捷方式 创建软链接格式:ln -s  源文件全路径 软连接全路径 操作演示: 硬链接 硬链接与软连接不同,它相当于源文件的镜像,源文件改变,硬链接文件也会改变,同理,硬链接文件改变,源文件也会改变 创建硬链接格式:ln  源文件全路径 软链接全路径 与创建软链接格式相比就是少了-s参数 操作演示: 区别: 软链接与硬链接创建出来明显不一样. 1.软链接就是一个链接文件,所以文件大小很小 2.硬链接与源文件大小相同 3.硬链接不能跨分区 4.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0RdJ5v4.html" rel="bookmark">【linux】Linux软连接和硬链接</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.Linux链接概念 Linux链接分两种,一种被称为硬链接(Hard Link),另一种被称为符号链接(Symbolic Link).默认情况下,ln命令产生硬链接. [硬连接] 硬连接指通过索引节点来进行连接.在Linux的文件系统中,保存在磁盘分区中的文件不管是什么类型都给它分配一个编号,称为索引节点号(Inode Index).在Linux中,多个文件名指向同一索引节点是存在的.一般这种连接就是硬连接.硬连接的作用是允许一个文件拥有多个有效路径名,这样用户就可以建立硬连接到重要文件,以			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzodNd0.html" rel="bookmark">linux软连接和硬链接（总结）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				参考博客: https://www.cnblogs.com/fengdejiyixx/p/10821820.html https://www.runoob.com/linux/linux-comm-ln.html https://www.cnblogs.com/crazylqy/p/5821105.html 需知: 当划分磁盘分区并格式化的时候,整个分区会被划分为两个部分,即inode区和data block(实际数据放置在数据区域中)这个inode即是(目录.档案)文件在一个文件系统中的唯一标			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/BMzJXWM.html" rel="bookmark" class="title">BZOJ 1019&colon; &lbrack;SHOI2008&rsqb;汉诺塔</a>
					<div>
						Description 一个汉诺塔,给出了移动的优先顺序,问从A移到按照规则移到另一个柱子上的最少步数. 规则:小的在大的上面,每次不能移动上一次移动的,选择可行的优先级最高的. Sol DP. 倒着 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Z0Kg8m0.html" rel="bookmark" class="title">性能优化 2 渲染</a>
					<div>
						Android性能优化之渲染篇 APR 11TH, 2015 | COMMENTS Google近期在Udacity上发布了Android性能优化的在线课程,分别从渲染,运算与内存,电量几个方面介绍了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38NYLRM.html" rel="bookmark" class="title">linux 按照SVN</a>
					<div>
						1. 下载软件包 http://archive.apache.org/dist/subversion/ http://archive.apache.org/dist/subversion/subver ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35br8X4.html" rel="bookmark" class="title">数据库 Mysql内容补充二</a>
					<div>
						多表查询 mysql支持的是SQL99标准的连接查询,并不支持oracle公司的外连接查询, 但是支持oracle等值查询,不等值查询,自连接查询,子查询(只要不是外连接(+)都支持) oracle也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3r2qEa3.html" rel="bookmark" class="title">Class&period;forName&lpar;&rpar; 初始化、Thread&period;currentThread&lpar;&rpar;&period;getContextClassLoader&lpar;&rpar;&period;getResourceAsStream</a>
					<div>
						Class.forName() 和 ClassLoader.loadClass()的区别? Class.forName() 和 Class.forName().NewInstance()的区别? Cl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35lxdj0.html" rel="bookmark" class="title">import</a>
					<div>
						python中,每个py文件被称之为模块,每个具有__init__.py文件的目录被称为包. 只要模块或者包所在的目录在sys.path中,就可以使用import 模块或import 包来使用.    ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Momelk3.html" rel="bookmark" class="title">Principle --02</a>
					<div>
						针对接口编程,而不是针对实现编程.(针对某一个行为:超类型有多个行为时,需要拆分成多个超类型,否则,具体实现类 必须实现多个行为,也是一种针对实现编程,因为单个行为不可变化了) &quot;针对接口编 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0n5lwxM.html" rel="bookmark" class="title">Win32开发流程（完整）</a>
					<div>
						编写一个Win32应用程序的大致流程,不管你的程序有多么复杂,多么变态,其基本思路和流程是不变的.这就好比你写书法的时候,特别是写楷书,我不管你用的是欧体.颜体,还是柳体,你都得遵守&quot;永字八 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aYymA0.html" rel="bookmark" class="title">FastDfs 学习进阶之环境安装及上传文件测试</a>
					<div>
						一:环境介绍       10.63.13.138 tracker,nginx proxy 10.63.13.143 storage,nginx 二:资源包准备 FastDFS官方论坛:http:// ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Rweo53.html" rel="bookmark" class="title">颜色&OpenCurlyDoubleQuote;秀&rdquo;</a>
					<div>
						梁景红的色彩书籍的. 色彩与我们的关系 人脑如何理解和认识色彩? 设计与色彩的关系? 只关注色彩搭配是不够的 寻找多事物之间的联系 人们的心理.行为和色彩之间的思考 灵感来自于生活中的一切 ?CMYK ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MElrpP4.html" rel="bookmark" class="title">ALV 中根据条件设置某个cell 是否可编辑</a>
					<div>
						*&amp;---------------------------------* *&amp; Report  Z_TEST_ZS13 *&amp; *&amp;------------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RwXKR3.html" rel="bookmark" class="title">使用ansible部署安装corosync&plus;pacemaker</a>
					<div>
						安装ansible 创建corosync目录 Mkdir –pv /corosync/roles/{common,ha}/{files,tasks,handlers,templates,vars,me ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPZrAB3.html" rel="bookmark" class="title">12&period;22 repeater 登录</a>
					<div>
						using System;using System.Collections.Generic;using System.Linq;using System.Web;using System.Web.UI ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vjjD93.html" rel="bookmark" class="title">AngularJS快速入门指南03：表达式</a>
					<div>
						AngularJS通过表达式将数据绑定到HTML. AngularJS表达式 AngularJS表达式写在双大括号中:{{ 表达式语句 }}. AngularJS表达式绑定数据到HTML的方式与ng- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wa5gRM.html" rel="bookmark" class="title">幽门螺旋菌（3）&lowbar;生物学家</a>
					<div>
						目录: 1.张秉强 重医附一院,消化内科主任,周五上午门诊,住院部20楼有办公室,并擅长HBV的RNA治疗 2.胡伏莲 3.刘翠苓 4.barry j marshall ,j.robin warren ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lN7op4.html" rel="bookmark" class="title">ACM 杭电HDU 2084 数塔 &lbrack;解题报告&rsqb;</a>
					<div>
						数塔 Time Limit: 1000/1000 MS (Java/Others)    Memory Limit: 32768/32768 K (Java/Others)Total Submissi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KjvvLM.html" rel="bookmark" class="title">学习：Dom4j和Xpath</a>
					<div>
						1.DOM4J简介 DOM4J是 dom4j.org 出品的一个开源 XML 解析包.DOM4J应用于 Java 平台,采用了 Java 集合框架并完全支持 DOM,SAX 和JAXP. DOM4J使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGDDZQ0.html" rel="bookmark" class="title">mysql如何删除数据库指定ID段的数据库。比如删除id 1-500的数据。</a>
					<div>
						delete from tablename where id&gt;=1 and id&lt;=500或者DELETE FROM `数据库名称`.`数据表名称` WHERE `house_cs`.`i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rPLlaM.html" rel="bookmark" class="title">set -x 跟踪脚本执行信息</a>
					<div>
						注意set -x其中&quot;-&quot;与&quot;x&quot;之间没有空格 [[email protected] sh]# ./sx.sh heelo + a=heelo + echo h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Kj9XLM.html" rel="bookmark" class="title">c&plus;&plus; 栈（顺序表）</a>
					<div>
						栈可以用顺序表也可以用链表来储存内容,本文采用顺序表(数组)来保存内部元素.代码如下: 1 #include &lt;iostream&gt; 2 using namespace std; 3 4 c ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
